Skip to navigation

Associate provisions with agreement types

View as Markdown

Associates the specified provisions and/or custom_provisions with each identified agreement type. All types are batched into a single upstream call. On success, returns the full updated agreement-type model filtered to the types named in the request.

Authentication

AuthorizationBearer

Path parameters

accountIdstringRequiredformat: "^[{]?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}[}]?$"

Request

Request body for the add-provisions action endpoint. Supplies the provisions to add on one or more agreement types.

agreement_typeslist of objectsRequired
One entry per agreement type to update.

Response

A list of configured agreement types for the account.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error